
Redmine - Defect #37764

Members without any role shouldn't be allowed

2022-10-11 20:00 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

1/ go to a project settings

2/ add a new member (note that there's an error if the role isn't selected)

3/ so choose a role

4/ edit the member again and this time remove all his roles

5/ this works, but there should be an error instead

this way you can create an invalid member that could lead to internal errors elsewhere

xhr doesn't show validation errors at all

https://github.com/redmine/redmine/blob/master/app/controllers/members_controller.rb#L93

member_roles are deleted even before actually saving the member

https://github.com/redmine/redmine/blob/master/app/models/member.rb#L77

I think it's a bug

Environment:

  Redmine version                5.0.3.stable

  Ruby version                   3.0.2-p107 (2021-07-07) [x86_64-linux]

  Rails version                  6.1.7

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.10.4

  Mercurial                      4.8.2

  Git                            2.20.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Is duplicate of Redmine - Defect #37166: Roles of a project member should not... Closed

History

#1 - 2022-10-11 20:01 - Pavel Rosický

- File roleless.png added

- File validationerror.png added

#2 - 2022-10-12 05:31 - Go MAEDA

- Is duplicate of Defect #37166: Roles of a project member should not be made empty added

#3 - 2022-10-12 05:31 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Thank you for reporting the issue but the same issue was already reported as #37166.
https://github.com/redmine/redmine/blob/master/app/controllers/members_controller.rb#L93
https://github.com/redmine/redmine/blob/master/app/models/member.rb#L77
https://www.redmine.org/issues/37166


Files

roleless.png 23.7 KB 2022-10-11 Pavel Rosický

validationerror.png 20.7 KB 2022-10-11 Pavel Rosický
